Subject: pine 3.95, DUnix 4.0, root, addressbook

From: Sharon Kraft <[email-masked]>
Date: Thu, 29 Aug 1996 16:43:09 -0400

Seems there is a similar problem with root running pine to that fixed in
a posting in the newgroups before (and then fixed in 3.95). At least with
Digital Unix, I haven't rebuilt the Solaris and Ultrix versions, which would
be the only other 2 systems to which I have access.

Upon entering the addressbook screen, for root only, the null address
that's used to update the .addressbook (or .addressbook.lu if it's missing,
invalid, or needs updating) causes several possible errors.

If this should help anyone,the following one line patch to adrbklib.c works
for all the cases I've tested: 

-----------
# diff -c adrbklib.c adrbklib.c.original
*** adrbklib.c  jeu 29 ao 16:27:07 EDT 1996
--- adrbklib.c.original mer 19 jun 17:33:27 EDT 1996
***************
*** 255,261 ****
      }
  
      if(p = last_cmpnt(ab->filename)){
-         if((p - ab->filename) == 1) p++;  /* get at least a '/' in for root */
        strncpy(path, ab->filename, p - ab->filename - 1);
          path[p - ab->filename - 1] = '\0';
        p = path;
--- 255,260 ----

----------- 

[email-masked]
  [email-masked]  __    __    __    __    http://pubpages.unh.edu:80/~slk
                     /  \  /  \  /  \  /  \   
____________________/  __\/  __\/  __\/  __\_________________________________
___________________/  /__/  /__/  /__/  /____________________________________
                   | / \   / \   / \   / \  \____   
                   |/   \_/   \_/   \_/   \    o \    
                                           \_____/--<

      PGP Key fingerprint =  E2 D0 B2 F9 4D 91 7C 91  AE 38 62 F3 F3 33 E0 0B